Subject: Re: [PATCH net-next 0/9] devlink: Add support for region access

From: Andrew Lunn <[email-masked]>
Date: Sat, 31 Mar 2018 17:53:45 +0200

> I want to be able to login to a customer and accessing this snapshot
> without any previous configuration from the user and not asking for
> enabling the feature and then waiting for a repro...this will help
> debugging issues that are hard to reproduce, I don't see any reason
> to disable this.

The likely reality is 99.9% of these snapshots will never be seen or
used. But they take up memory sitting there doing nothing. And if the
snapshot is 2GB, that is a lot of memory. I expect a system admin
wants to be able to choose to enable this feature or not, because of
that memory. You should also consider implementing the memory pressure
callbacks, so you can discard snapshots, rather than OOM the machine.

	   Andrew